define(\`UT_FUNCLIST`\,\``\)
define(\`UT_ADD`\,\`define(\`UT_FUNCLIST`\,UT_FUNCLIST \`UnitTest_$1;`\)`\)
define(\`UT_PROCEDURE`\,\`define(\`UT_CURRENT`\,\`$1`\) UT_ADD(\`$1`\) procedure UnitTest_$1`\)
define(\`UT_BEGIN`\,\`begin Writeln('BEGIN TEST UT_CURRENT');`\)
define(\`UT_END`\,\`Writeln('END TEST UT_CURRENT'); end`\)
define(\`UT_EOF`\,\`begin UT_FUNCLIST end.`\)
define(\`UT_COND`\,\`if not ($1) then begin Writeln('FAILED TEST UT_CURRENT $1 at __file__:__line__ '); Halt(1); end`\)
